# Handles the actual transcoding.
class Transcoder

  def initialize(config, repository)
    @config = config
    @repository = repository
  end

  def start
    puts 'Starting transcoder...'

    # search for files in ingest
    ingest_files = @repository.search_ingest()
    ingest_files.each { |ifile|
      # archive the file
      @repository.archive_file(ifile)
      # perform the transcode
      # // TODO self.transcode(ifile)
      # clean up the file from ingest
      @repository.cleanup_file(ifile)
    }
  end

end
